Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.machinereassignment.domain
Class MrResource

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.machinereassignment.domain.MrResource

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>

    public class MrResource

extends AbstractPersistable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`MrResource()`

Method Summary
`int` | `getIndex()`
`int` | `getLoadCostWeight()`
`boolean` | `isTransientlyConsumed()`
`void` | `setIndex(int index)`
`void` | `setLoadCostWeight(int loadCostWeight)`
`void` | `setTransientlyConsumed(boolean transientlyConsumed)`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MrResource

    public MrResource()

Method Detail

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### isTransientlyConsumed

    public boolean isTransientlyConsumed()

### setTransientlyConsumed

    public void setTransientlyConsumed(boolean transientlyConsumed)

### getLoadCostWeight

    public int getLoadCostWeight()

### setLoadCostWeight

    public void setLoadCostWeight(int loadCostWeight)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.